SQOOP-LIST-TABLES(1)

NAME
sqoop-list-tables - List tables available for import in a database.

SYNOPSIS

sqoop-list-tables <generic-options> <tool-options>

sqoop list-tables <generic-options> <tool-options>

DESCRIPTION

List tables present in a database.

OPTIONS

The --connect option is required.

  Database connection and common options

--connect (jdbc-uri)
    Specify JDBC connect string (required)

--connection-manager (class-name)
    Specify connection manager class name (optional)

--driver (class-name)
    Manually specify JDBC driver class to use

--connection-param-file (filename)
    Optional properties file that provides connection parameters

--hadoop-home (dir)
    Override $HADOOP_HOME

--help
    Print usage instructions

--password (password)
    Set authentication password (Note: This is very insecure. You should use -P instead.)

-P
    Prompt for user password

--username (username)
    Set authentication username

--verbose
    Print more information while working

ENVIRONMENT

See sqoop(1)

AUTHOR

Sqoop Team
    Author.